import { toast } from "react-toastify";
const url = "http://192.168.1.91:5000/task";

//POST METHOD
export async function addTodo({ title, isCompleted }) {
  try {
    const response = await fetch(url, {
      method: "POST",
      headers: { "Content-type": "application/json" },
      body: JSON.stringify({ title, isCompleted }),
    });
    return await response.json();
  } catch (err) {
    toast.error(err.message);
  }
}
//PATCH METHOD
export async function updateTodo({ id, title, isCompleted }) {
  try {
    await fetch(url + `/${id}`, {
      method: "PATCH",
      headers: { "Content-type": "application/json" },
      body: JSON.stringify({ title, isCompleted }),
    });
    const response = await getTodos();
    return response;
  } catch (err) {
    toast.error(err.message);
  }
}

//GET METHOD
export async function getTodos() {
  try {
    const response = await fetch(url);
    return await response.json();
  } catch (err) {
    toast.error(err.message);
  }
}

//DELETE METHOD
export async function deleteTodo(id) {
  try {
    await fetch(url + `/${id}`, {
      method: "DELETE",
    });
    const response = await getTodos();
    return response;
  } catch (err) {
    toast.error(err.message);
  }
}
